$(function() {

    $('.vignetteproperty').bind('click', function() {
	
        propertyvignetteactive($(this));
        return false;
    });
	
});

function changerphoto(sens, fullscreen)
{
	/* Récupération de l'identifiant de la vignette active */
	var idvignetteactive = parseInt($('#photos #vignettes').children('.actif').attr('id'));
	
	/* Calcul de la vignette à mettre en avant */
	if (sens=='next')
		idvignetteactive+=1 ;
	else
		idvignetteactive-=1 ;

	if (idvignetteactive>0 && idvignetteactive<=$('#photos #vignettes').children().length)
		propertyvignetteactive($('#photos #vignettes').children('#'+idvignetteactive), fullscreen) ;
		
		
}

function propertyvignetteactive(vignette, fullscreen)
{
		
		
		
        /* Retrait des eventuelles vignettes mises en avant */
        $('.vignetteproperty').removeClass('actif');
		
        /* Mise en avant de la vignette cliquée */
        vignette.addClass('actif');
			
        /* Affichage de la photo cliquée */
        $(".grandephotoproperty").attr('src',vignette.attr('src'));
		$(".grandephotoproperty").attr('srcbig',vignette.attr('srcbig'));
		
		
		var d = new Date();
		
		if(fullscreen)
		{
		
			Nom = navigator.appName;

			refreshphoto = (Nom == 'Microsoft Internet Explorer') ? 1:0 ;
			
			if (refreshphoto==1)
				$("#fullscreen #fullscreen_contenu #conteneur_navig #photo_grande").children("img").attr("src",vignette.attr('srcbig')+"?"+d.getMilliseconds()+d.getSeconds()) ;
			else
				$("#fullscreen #fullscreen_contenu #conteneur_navig #photo_grande").children("img").attr("src",vignette.attr('srcbig')) ;
		}
		
		/* Affichage de la légende */
		
        if (vignette.attr('legende'))
        {
            $("#photos #photo_principale #navigphoto #legende_photo").html(vignette.attr('legende'));
			if(fullscreen)
			{
				$("#fullscreen #fullscreen_contenu #conteneur_navig #footer #legende_photo").html(vignette.attr('legende'));
			}
        }
        else
        {
            $("#photos #photo_principale #navigphoto #legende_photo").html("");
			if(fullscreen)
			{
				$("#fullscreen #fullscreen_contenu #conteneur_navig #footer #legende_photo").html("");
			}
        }
		
		
		/* Activation des boutons prev et next */
		nbvignettes = $('#photos #vignettes').children().length ;
		identifiantactif = vignette.attr("id") ;
		if (identifiantactif==1)
		{
			$("#photos #photo_principale #navigphoto #prev").hide() ;
			if(fullscreen)
			{
				$('#fullscreen #fullscreen_contenu #conteneur_navig #photo_grande #prev').hide() ;
			}
		}
		else
		{
			$("#photos #photo_principale #navigphoto #prev").show() ;
			if(fullscreen)
			{
				$('#fullscreen #fullscreen_contenu #conteneur_navig #photo_grande #prev').show() ;
			}
		}
		
		if (identifiantactif==nbvignettes)
		{
			$("#photos #photo_principale #navigphoto #next").hide() ;
			if(fullscreen)
			{
				$('#fullscreen #fullscreen_contenu #conteneur_navig #photo_grande #next').hide() ;
			}
		}
		else
		{
			$("#photos #photo_principale #navigphoto #next").show() ;
			if(fullscreen)
			{
				$('#fullscreen #fullscreen_contenu #conteneur_navig #photo_grande #next').show() ;
			}
		}
		
}

function openvignettefullscreen(id)
{

		/* Retrait des eventuelles vignettes mises en avant */
        $('#photos #vignettes li').removeClass('actif');

        /* Mise en avant de la vignette cliquée */
        $('#photos #vignettes').children('#'+id).addClass('actif');
		
		opennavigvignettesfullscreen() ;
		
		
}

/*	Fonction qui permet d'afficher le bloc de navigation d'images en fullscreen */
function opennavigvignettesfullscreen()
{
	
	var html = $("#photos_fullscreen").html() ;
	chargecontenu(html);
	
	//console.log($('#photos #vignettes').children('#'+parseInt($('#photos #vignettes').children('.actif').attr('id')))) ; 
	
	propertyvignetteactive($('#photos #vignettes').children('#'+parseInt($('#photos #vignettes').children('.actif').attr('id'))), true) ;
	
	//console.log($('.actif').length) ;
	//console.log("lis "+$('.lesvignettesphotos li.actif').length) ;
	
	
	$('#fullscreen #fullscreen_contenu #conteneur_navig #photo_grande #prev').bind('click', function() {
        changerphoto('prev', true) ;
        return false;
    });
	
	$('#fullscreen #fullscreen_contenu #conteneur_navig #photo_grande #next').bind('click', function() {
        changerphoto('next', true) ;
        return false;
    });
	
	$("#fullscreen #fullscreen_contenu #conteneur_navig #photo_grande").children("img").load(function() { 
	
		openfullscreen() ; 
	}) ;
}

